import { fromJS } from "immutable";
import { makeSelectZalo, makeSelectAccount } from "../selectors";

describe("makeSelectZalo", () => {
  it("returns the expected object with default values when substate is empty", () => {
    // Arrange
    const state = fromJS({ zalo: {} });
    const expected = {};
    const selector = makeSelectZalo();

    // Act
    const result = selector(state);
    // Assert
    expect(result).toEqual(expected);
  });

  it("returns the expected object with default values when substate is empty for makeSelectAccount", () => {
    // Arrange
    const state = fromJS({ templates: {} });
    const expected = {};
    const selector = makeSelectAccount();

    // Act
    const result = selector(state);
    // Assert
    expect(result).toEqual(expected);
  });
});
